Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 752054 - app-admin/hardinfo: version bump 0.6_alpha_pre20200917
Summary: app-admin/hardinfo: version bump 0.6_alpha_pre20200917
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 707722
  Show dependency tree
 
Reported: 2020-10-31 20:55 UTC by crabbed halo ablution
Modified: 2020-11-23 13:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
hardinfo-0.6_alpha_pre20200917 (hardinfo-0.6_alpha_pre20200917.ebuild,1.06 KB, text/plain)
2020-10-31 20:55 UTC, crabbed halo ablution
Details
metadata.xml (metadata.xml,766 bytes, text/plain)
2020-10-31 20:56 UTC, crabbed halo ablution
Details

Note You need to log in before you can comment on or make changes to this bug.
Description crabbed halo ablution 2020-10-31 20:55:23 UTC
Created attachment 669497 [details]
hardinfo-0.6_alpha_pre20200917

app-admin/hardinfo was last updated in 2013, is maintainer-needed.
To whom it may concern, I leave an updated, working ebuild for the latest commit that can easily be committed to the main tree if so desired.
Comment 1 crabbed halo ablution 2020-10-31 20:56:11 UTC
Created attachment 669500 [details]
metadata.xml
Comment 2 Sam James archtester gentoo-dev Security 2020-10-31 21:01:50 UTC
Please include the GCO signoff so we can use it?
Comment 3 crabbed halo ablution 2020-10-31 21:28:27 UTC
Signed-off-by: crabbed halo ablution <crabbedhaloablution@icloud.com>
Comment 4 Sam James archtester gentoo-dev Security 2020-10-31 21:29:45 UTC
(In reply to crabbed halo ablution from comment #3)
> Signed-off-by: crabbed halo ablution <crabbedhaloablution@icloud.com>

Real name is required
Comment 5 crabbed halo ablution 2020-10-31 21:42:06 UTC
Signed-off-by: Peter Alfredsen <crabbedhaloablution@icloud.com>
Comment 6 Larry the Git Cow gentoo-dev 2020-11-23 13:29:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac7356e9da3996737f2187edc82cc0e0cb9b7f49

commit ac7356e9da3996737f2187edc82cc0e0cb9b7f49
Author:     Peter Alfredsen <crabbedhaloablution@icloud.com>
AuthorDate: 2020-11-21 20:03:17 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-11-23 13:11:26 +0000

    app-admin/hardinfo: add 0.6_alpha_pre20201116
    
    Fix building with gcc-10. Thanks to Peter Alfredsen for submitting the
    ebuild.
    
    Closes: https://bugs.gentoo.org/752054
    Closes: https://bugs.gentoo.org/707722
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Peter Alfredsen <crabbedhaloablution@icloud.com>
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Closes: https://github.com/gentoo/gentoo/pull/18351
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 app-admin/hardinfo/Manifest                        |  1 +
 .../hardinfo/hardinfo-0.6_alpha_pre20201116.ebuild | 36 ++++++++++++++++++++++
 app-admin/hardinfo/metadata.xml                    |  2 +-
 3 files changed, 38 insertions(+), 1 deletion(-)